sudo apt-get install build-essential

sudo apt-get install libgl1-mesa-dev

sudo apt-get install libglu1-mesa-dev

sudo apt-get install freeglut3-de

sudo apt search glew


www.glfw.org


sudo apt-get install cmake xorg-dev

sudo mkdir glfw-build

sudo cmake ../

sudo make

sudo make install